<?php 

add_action('dslc_hook_register_modules',
     create_function('', 'return dslc_register_module( "Ainex_Box_List" );')
);

class Ainex_Box_List extends DSLC_Module {

 	// Module Attributes
    var $module_id = 'Ainex_Box_List';
    var $module_title = 'Box List';
    var $module_icon = 'font';
    var $module_category = 'Ainex - Blocks';
 
 	// Module Options
    function options() { 		
    	// The options array
    	$dslc_options = array(
			array(
				'label' => __('Title', 'themestudio'),
				'id' => 'text_title',
				'std' => 'Why Choose Us?',
				'type' => 'text',
				'section' => 'functionality'
			),
			array(
				'label' => __('Title', 'themestudio'),
				'id' => 'text_desc',
				'std' => '<ul>
	            	<li><i class="fa fa-coffee"></i> Simple Site Management</li>
	                <li><i class="fa fa-thumbs-up"></i> Affordable Prices</li>
	                <li><i class="fa fa-user"></i> Personal Client Support</li>
	            </ul>
	            <ul>
	            	<li><i class="fa fa-truck"></i> No Overloaded Servers</li>
	                <li>&nbsp;<i class="fa fa-lock"></i> &nbsp;Secure Your Web site</li>
	                <li><i class="fa fa-money"></i> Money Back Guarantee!</li>
	            </ul>',
				'type' => 'textarea',
				'section' => 'functionality'
			),
			array(
				'label' => __( 'Margin Bottom', 'dslc_string' ),
				'id' => 'button_css_margin_bottom',
				'std' => '0',
				'type' => 'slider',
				'refresh_on_change' => false,
				'affect_on_change_el' => '.whyus',
				'affect_on_change_rule' => 'margin-bottom',
				'section' => 'styling',
				'ext' => 'px',
			),
		);
		$dslc_options = array_merge( $dslc_options, $this->shared_options('animation_options') );

    	// Return the array
    	return apply_filters( 'dslc_module_options', $dslc_options, $this->module_id );

    }
 
 	// Module Output
    function output( $options ) {

    	global $dslc_active;
    	
		if ( $dslc_active && is_user_logged_in() && current_user_can( DS_LIVE_COMPOSER_CAPABILITY ) )
			$dslc_is_admin = true;
		else
			$dslc_is_admin = false;
		
		//REQUIRED
		$this->module_start( $options );
	?>

      	<div class="one_full">
	        <div class="whyus">
	        	<strong><?php echo $options['text_title']; ?></strong>
	            <?php echo stripslashes($options['text_desc']); ?>
	        </div>
        </div><!-- end why choose us -->
    	<div class="clearfix"></div>
	
	<?php
    	// REQUIRED
    	$this->module_end( $options );

    }
 
}